<?php
session_start();

    include_once("../scripts/connect.php");

   $conexion=conecta_default();

   

   include_once("../scripts/session.php");

   //Validar Session



    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/



    if(!$sesion->isValida("1")){ /*Sesion invalida*/



	 header("Location: ../index.php?err=NoSesion");



    }/*no hay sesion*/



    else{



       $dato=explode("|",$_SESSION['usuario']);

       $sesion->setDatos($dato[0],$dato[1],$dato[2]);

       $sesion->setSesion();



    }

    //fin validar session



  $conexion=conecta_default();


$montos=0;
$precio1=0;
$puntos1=0;
$ptossal=0;
$asigpt=0;
  // $id_dist =$_POST['dist'];
 
   $id_venta =$_POST['nota'];

   $idmod =$_POST['idpago'];
   
   
   
   
   $qa = "SELECT idprom,`nombre`,`appat`,`apmat`, rfc, id_inver FROM `inversionista` join transacciones on transacciones.inversionista_id_inver=inversionista.id_inver WHERE idtransacciones = '".$id_venta."'";
   $ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado1): ' . mysqli_error($conexion));
   while($ra = mysqli_fetch_row($ca))
   {
	   $promotor = $ra[0];
	   $nom = $ra[1];
	   $app= $ra[2];
	   $apm = $ra[3];
	   $rfc = $ra[4];
 $id_dist = $ra[5];
	};
	
	
	
	
	
	

	$qa1 = "SELECT `nombre`,`appat`,`apmat` FROM `inversionista` WHERE id_inver = '".$promotor."'";
   $ca1 = mysqli_query($conexion, $qa1) or die ('Error (Registro No Encontrado2): ' . mysqli_error($conexion));
   while($ra1 = mysqli_fetch_row($ca1))
   {
	   $nomp = $ra1[0];
	   $appp= $ra1[1];
	   $apmp = $ra1[2];
	};
	
	
	
	
	
$qp4 = "select usuarios_ci_idusuarios_ci as elvta, consec, horat, fechat, cdentrega, statusentrega, tipostr_idtipostr from transacciones where idtransacciones=$id_venta";
   $cp4 = mysqli_query($conexion, $qp4) or die ('Error (Registro No Encontrado3): ' . mysqli_error($conexion));
$rp4 = mysqli_fetch_object($cp4);	
	$elvta = $rp4->elvta;
	$consec = $rp4->consec;		
	$lahora = $rp4->horat;	
	$eldia = $rp4->fechat;
	$entrega = $rp4->cdentrega;	
	$status = $rp4->statusentrega;
	$tipo = $rp4->tipostr_idtipostr;
	
	
	$qp3 = "select nombre from usuarios_ci where idusuarios_ci=$elvta";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado4): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
	$usuario = $rp3->nombre;
	
	
	
$qp42 = "select cantidad, puntos, efectivo, deposito, tarjeta, regalias, voucher, porpagar from transacciones join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones where transacciones.idtransacciones=$id_venta";
   $cp42 = mysqli_query($conexion, $qp42) or die ('Error (Registro No Encontrado5): ' . mysqli_error($conexion));
$rp42 = mysqli_fetch_object($cp42);	
	$pagado = $rp42->cantidad;
	$puntos = $rp42->puntos;		
	$efectivo = $rp42->efectivo;	
	$deposito = $rp42->deposito;
	$regalias = $rp42->regalias;	
	$voucher = $rp42->voucher;		
	$tarjeta = $rp42->tarjeta;	
	$porpagar = $rp42->porpagar;	
	
$qp3 = "select nombre from usuarios_ci where idusuarios_ci=$entrega";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado6): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
	$noment = $rp3->nombre;
	
	$qPP = "select id_prod, nombreProd, precio, puntos, cant from pedido join productos on pedido.productos_idprod=productos.id_prod where transacciones_idtransacciones=$id_venta order by nombreProd";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));


if($status=="AGRUPADO"){
	$qD="SELECT num_grupo FROM pedido_agrupado WHERE id_transacciones = $id_venta";
  			$cD = mysqli_query($conexion, $qD) or die ('Error (Obtencion DeG.): ' . mysqli_error($conexion));
  			while($rD = mysqli_fetch_row($cD))
		   	{
		    	$agrup = $rD[0]."<form name=\"pagar\" action=\"agrupado_info.php\" target=\"_blank\" method=\"post\"><input type=hidden name=agrup value=$rD[0]><input type=\"submit\" value=\"Ver Agrupado\" name=\"veragrupado\"></form>";
		    	
		    	
		   	};}
echo "<center><br><font color=\"#000099\" size=\"+2\"><b>Informaci&oacute;n de Pedido</b></font><br>
<br><b>Nombre:</b> $nom $app $apm<br><b>RFC:</b> $rfc<br>
	<b>Nombre Promotor:</b> $nomp $appp $apmp<br><br>
Realizado el d&iacute;a $lafecha $eldia a las $lahora<br>
<table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
<tr align=\"center\" bgcolor=\"#594106\">
<td><font color=\"#FFFFFF\"><b>No. Pedido $elvta"."-"."$consec</b></font></td>
<td><font color=\"#FFFFFF\"><b> Transacci&oacute;n $id_venta </b></font></td>
</tr>
<tr bgcolor=\"#ece3bb\">
<td>Pedido Realizado por:</td>
<td> <b>$centro $usuario</b></td>
</tr>
<tr bgcolor=\"#ece3bb\">
<td>CD de entrega:</td>
<td> <b>$entrega $noment</b></td>
</tr>
<tr bgcolor=\"#ece3bb\">
<td>Status de entrega:</td>
<td> <b>$status $agrup</b></td>
</tr></table>
";





if($tipo==6){
	
			$qDG="SELECT nombrec, concepto, autoriza FROM otrasal WHERE idtransacciones = '".$pedido."'";
  			$cDG = mysqli_query($conexion, $qDG) or die ('Error (Obtencion DG.): ' . mysqli_error($conexion));
  			while($rDG = mysqli_fetch_row($cDG))
		   	{
		    	$nombrec = $rDG[0];
		    	$concepto = $rDG[1];
		    	$autoriza = $rDG[2];
		    	
		   	};
	echo"Nombre: <b>$nombrec</b><br>concepto: <b>$concepto</b><br>Autoriz&oacute;: <b>$autoriza</b>";
	
}
echo"</table><br>Descripci&oacute;n del pago:<br>

<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
<th>Cantidad</th><th>Puntos</th><th>EF</th><th>DE</th><th>TA</th><th>RE</th><th>VO</th><th>PP</th>
<tr align=\"center\"><td><font color=blue>$ $pagado</font></td><td>$puntos</td><td>$ $efectivo</td><td>$ $deposito</td><td>$ $tarjeta</td><td>$regalias</td><td>$voucher</td><td>$porpagar</td></tr></table>
<br>
";

$qPP = "SELECT nombre, appat, apmat, fechae, statuts, id_cde FROM  retencion_obsequio join inversionista on inversionista.id_inver=retencion_obsequio.id_inver WHERE id_transacc = '$id_venta'";
        $rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));
        if(mysqli_affected_rows($conexion)){
         echo "<center><label style='color:#2b385d; font-weight:bold'>Obsequio por Inscripci&oacute;n</label>

<table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
 <tr bgcolor=\"#2b385d\"><th><font color=\"white\">Nombre</th>
  <th><font color=\"white\">Estatus</th> <th><font color=\"white\">Fecha Ent</th> <th><font color=\"white\">CDE</th></tr>";


while (($objetoPP=mysqli_fetch_object($rPP)) )
{$elstat=$objetoPP->statuts;
	
if($elstat==1){$statobs="Entregado";}else{$statobs="Por Entregar";}
	echo"<tr><td align=\"center\">$objetoPP->nombre $objetoPP->appat $objetoPP->apmat</td>
			<td align=\"center\">$statobs</td><td align=\"center\">$objetoPP->fechae</td><td align=\"center\">$objetoPP->id_cde</td></tr>	";		
	}

echo"</table><br>";
}

//------------------

echo"Detalle del pago:<br>

<table border=1> <th>Monto</th><th>Tipo Pago</th><th>Banco</th><th>Folio</th><th>No. Voucher</th><th>Fecha</th>";
	
	
		$promos="SELECT monto, cuenta, numero, tipo, folio, id_voucher, fecha FROM depositos_transaccion join bancos on depositos_transaccion.idbanco=bancos.idbanco WHERE idtransacciones='$id_venta'";
	
	$cal = mysqli_query($conexion, $promos) or die ('Error (Registro No Encontrado2): ' . mysqli_error($conexion));
	while($ral = mysqli_fetch_row($cal))
   {
	   $pago=$ral[3];
	  switch ($pago) {
    case 1:
        $elpago="TC";
        break;
          case 2:
        $elpago="Deposito";
        break;
          case 3:
        $elpago="Efectivo";
        break;
          case 4:
        $elpago="Voucher";
        break;
          case 5:
        $elpago="TPV";
        break;
 
}
	   
	   echo"<TR><td>$ral[0]</td><td>$elpago</td><td>$ral[1] $ral[2]</td><td>$ral[4]</td><td>$ral[5]</td><td>$ral[6]</td><td>
	   
			

								
	   
	   </td></TR>";
	 $montos+= $ral[0];

	}
	echo"</table>El monto pagado registrado es $ <font color=blue>$montos</font><br><br>";

//--------------------



echo"<br><font color=\"#000099\" size=\"+2\"><b>Modificar pago</b></font><br>";

echo"<table border=1> <th>Monto</th><th>Tipo Pago</th><th>Banco</th><th>Folio</th><th>Fecha</th><th>Cambio</th>";
	   
     $q1 = "SELECT idbanco, cuenta, numero FROM bancos";
	   $consultada1 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
	
		$promos="SELECT monto, cuenta, numero, tipo, folio, id_voucher, fecha, id FROM depositos_transaccion join bancos on depositos_transaccion.idbanco=bancos.idbanco WHERE id='$idmod'";
	
	$cal = mysqli_query($conexion, $promos) or die ('Error (Registro No Encontrado2): ' . mysqli_error($conexion));
	while($ral = mysqli_fetch_row($cal))
   {
	   
	   echo"<TR><form name=\"pagar\" action=\"pagos_mod.php\" target=\"_blank\" method=\"post\">

<input type=hidden name=nota value=$id_venta><input type=hidden name=idpago value=$ral[7]>
<td><input type=\"text\" size=5 name=\"monto\" value=\"$ral[0]\"></td>
<td><select name = \"listacd\"><option value=3>Efectivo</option><option value=2>Deposito</option></select></td>
<td><select name = \"bco\"><option value=0>No Aplica</option>";
							while ($datos = mysqli_fetch_array($consultada1))
							{
									
									echo "<option value=\"".$datos[0]."\">".$datos[1]." ".$datos[2]."</option>\n";
							
							}
							echo"</select></td><td><input type=\"text\" name=\"folio\" value=\"$ral[4]\"></td><td>$ral[6]</td><td>
	   
			

								 <input type=\"submit\" value=\"MODIFICAR\" name=\"infoped\">
	   
	   </td></form></TR>";
	 $montos+= $ral[0];

	}

?>



